General plugins

New activity: Simple Certificate

 
 
Picture of luciano biondo
Re: New activity: Simple Certificate
 
I have installed it on moodle 2.7 receiving the following message:

=====
mod_simplecertificate

Si è verificato un errore durante l'esecuzione di DDL sql

Maggiori informazioni su questo errore

Debug info: Unknown column 'haschange' in 'mdl_simplecertificate_issues'
ALTER TABLE mdl_simplecertificate_issues ADD pathnamehash VARCHAR(40) CHARACTER SET utf8 COLLATE utf8_unicode_ci AFTER haschange
Error code: ddlexecuteerror
Stack trace:
line 449 of /lib/dml/moodle_database.php: ddl_change_structure_exception thrown
line 839 of /lib/dml/mysqli_native_moodle_database.php: call to moodle_database->query_end()
line 76 of /lib/ddl/database_manager.php: call to mysqli_native_moodle_database->change_database_structure()
line 533 of /lib/ddl/database_manager.php: call to database_manager->execute_sql_arr()
line 301 of /mod/simplecertificate/db/upgrade.php: call to database_manager->add_field()
line 697 of /lib/upgradelib.php: call to xmldb_simplecertificate_upgrade()
line 420 of /lib/upgradelib.php: call to upgrade_plugins_modules()
line 1615 of /lib/upgradelib.php: call to upgrade_plugins()
line 434 of /admin/index.php: call to upgrade_noncore()

 
Average of ratings: -
Picture of Carlos Alexandre Fonseca
Re: New activity: Simple Certificate
 

are you trying to update the certificate plugin ?

 
Average of ratings: -
Picture of Carlos Alexandre Fonseca
Re: New activity: Simple Certificate
 

It's a bug

i attach 3 patch file, download the specific version and apply it


How to apply (only for linux)

go to your moodle root folder and follow:

cd mod/simplecertificate
cp <PATCH FILE> .
patch -p1 <PATCH FILE>
rm <PATH FILE>

For example (moodle 2.7)

Donwload moodle27.pacth and save in my home folder

cd /var/www/moodle
cd mod/simplecertificate
cp ~/moodle27.pacth .
patch -p1 moodle27.pacth
rm moodle27.pacth

You can download and install the fixed version too (2014070500)


Picture of Carlos Alexandre Fonseca
Re: New activity: Simple Certificate
 

moodle 2.5 patch file

 
Average of ratings: -
Mark
Re: New activity: Simple Certificate
 

Hi Carlos,

I am having difficulty getting past the validation when trying to install your new plugin.

I wonder if it is associated with this discussion... 

https://moodle.org/mod/forum/discuss.php?d=264130


 Please see the images below that indicate the wrong version of Moodle and my Moodle info.

Validation failed image

Moodle version info...

Moodle version

I hope you are able to assist.

Cheers

Mark

 
Average of ratings: -
Picture of Carlos Alexandre Fonseca
Re: New activity: Simple Certificate
 

Hello mark,

   You are trying to install a moodle 2.7 plugin version into moodle 2.6. 

Please download and install the correct plugin version

Here is the correct link:

https://moodle.org/plugins/download.php/6455/mod_simplecertificate_moodle26_2014070500.zip

 
Average of ratings: -
Mark
Re: New activity: Simple Certificate
 

Thanks Carlos !

I have used your link to manually add the simplecertificate to my Mod folder.

I rechecked ... it would appear that the Moodle org plugins identified my install as 2.6 but took me to the 2.7 plugin.

Thank you for your help.


 
Average of ratings: -